Skip to content

Update Page Metadata

PATCH
/pages/{pageId}
curl --request PATCH \
--url https://markdawn.space/api/v1/pages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "Updated project notes" }'

Updates a page’s title and/or icon. Include at least one supported field, and use a client with page write access.

pageId
required
string format: uuid

The UUID of the page.

Media typeapplication/json
object
title
string
icon
Any of:
string
Example
{
"title": "Updated project notes"
}

Updated page metadata.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
parentId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
title
required
string
icon
required
Any of:
string
cover
required
Any of:
object
type
required
string
value
required
Any of:
string
properties
required
Any of:
object
key
additional properties
ownerId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
permission
required
Any of:
string
Allowed values: view edit admin
createdAt
required
string
updatedAt
required
string
Example
{
"permission": "view"
}

The API token is missing a required scope: pages:write.

Media typeapplication/json

Structured error returned when the request cannot be completed.

object
error
required

Error details for programmatic handling.

object
code
required

Stable error code.

string
message
required

Human-readable explanation.

string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}